HPLIP not working with latest ubuntu 22.04(jammy jellyfish) with p1007 lazerjet printer due to unsupported python-pyqrt4 library

Asked by Mansi

I have recently switched to the latest version of Ubuntu i.e. 22.04 (Jammy jellyfish). I have HP lazerjet p1007 printer . That used to work fine on the previous distro versions as well as other OS.

It required me to download and update HPLIP from the hpopensource website . The installation is unable to complete because of a required dependency that can not be downloaded in the latest ubuntu because the latest version of ubuntu does not supports it now. The dependency is -- python3-pyqt4. The latest version now supports qt5 . But it does not works alone with qt5 , the installation is not able to complete without pyqt4 .. That is nearly impossible to download .

#### " I get the error that states . This installer can't install the required dependency python3-pyqt4. this distro/os does not support qt4" ###

Also i would like to state that i have the latest version of python3 and all other requirements are fulfilled in my pc . I also tried to download qt-4 package from third party website , but that did not worked . still the same error.

Please solve this issue as soon as possible. As i am unable to install my printer in my pc . And its a lot of patience to keep .

Thank you .

Question information

Language:
English Edit question
Status:
Expired
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Revision history for this message
Manfred Hampl (m-hampl) said :
#1

Have you tried installing the adapted hplip package from the Ubuntu repositories?
sudo apt install hplip hplip-gui

Revision history for this message
Mansi (mansi10) said :
#2

yeah .. i have installed that. after installation the icons of toolbox , and hp-fax etc. do not appear as it does when installed successfully.

Revision history for this message
Launchpad Janitor (janitor) said :
#3

This question was expired because it remained in the 'Open' state without activity for the last 15 days.